Page MenuHomePhabricator

Search metrics dashboard: add in new data that has recently been added to event logging for mobile apps
Closed, ResolvedPublic6 Story Points

Description

Recently, there were two new data points (see T76412) that were added to eventlogging for mobile apps - I'd like to see them added as part of the dashboard page metrics:

  • Which item user tapped: using the 'invokeSource' newly added parameter
  • Which search result a user selected: using the 'position' newly added parameter
  • Did the user scroll in the search results
  • Did the user have to scroll to see the search result that they tapped
  • How many search results were displayed on screen at a given time (screen size, keyboard obscured)
  • How many search results did a user see before making a selection

Note: these new parameters were added as part of this commit

Event Timeline

debt created this task.Aug 23 2016, 7:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2016, 7:26 PM
debt triaged this task as Low priority.Aug 23 2016, 7:26 PM
mpopov claimed this task.Aug 25 2016, 5:26 PM
mpopov set the point value for this task to 6.
mpopov removed mpopov as the assignee of this task.Aug 31 2016, 8:18 PM
chelsyx claimed this task.Aug 31 2016, 8:49 PM
chelsyx moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
debt updated the task description. (Show Details)Sep 1 2016, 6:30 PM

Change 308092 had a related patch set uploaded (by Chelsyx):
Generate invoke source and click position aggregates

https://gerrit.wikimedia.org/r/308092

Change 308092 abandoned by Chelsyx:
Generate invoke source and click position aggregates

https://gerrit.wikimedia.org/r/308092

Change 308099 had a related patch set uploaded (by Chelsyx):
Generate invoke source and click position aggregates

https://gerrit.wikimedia.org/r/308099

Change 308824 had a related patch set uploaded (by Chelsyx):
Add click position and invoke source of mobile app

https://gerrit.wikimedia.org/r/308824

I'm currently using the raw number(no. of clicks and no. of search sessions) to plot, also thinking about using the percentage instead of the raw number. @mpopov and @debt , what's your opinion?

debt added a comment.Sep 6 2016, 8:47 PM

Would the percentages be something that the user can select in the 'global settings'?

It can be done, but not an easy change. Plus putting this option in 'global settings' doesn't make sense to some other graphs on the dashboard. I can put the graph of percentages on the same page.

debt added a comment.Sep 6 2016, 9:52 PM

Gotcha...I was trying to envision how the percentages would look alongside the other raw numbers. Another graph of percentages on the same page would be good!

mpopov added a comment.EditedSep 6 2016, 11:50 PM

I'd actually go with just the proportions for both metrics.

Change 308099 merged by Bearloga:
Generate invoke source and click position aggregates

https://gerrit.wikimedia.org/r/308099

@chelsyx: I'm backfilling invoke_source_counts.tsv & click_position_counts.tsv now.

Those datasets should be ready for you to test https://gerrit.wikimedia.org/r/#/c/308824/ with by tomorrow morning :)

Change 308824 merged by Bearloga:
Add click position and invoke source of mobile app

https://gerrit.wikimedia.org/r/308824

mpopov added a comment.Sep 8 2016, 8:12 PM

Up on beta now: http://discovery-beta.wmflabs.org/metrics/#click_position & http://discovery-beta.wmflabs.org/metrics/#invoke_source

@chelsyx: I'll fix how polloi::make_dygraph picks the colors and then ping Deb to check out the dashboard to OK it for deployment.

debt added a comment.Sep 8 2016, 11:00 PM

Sounds good - the colors are a bit hard to see right now! :)

@debt: colors should be better now!

For the click positions, what do you think about having it say "1st", "2nd", etc.?

@chelsyx:?toOrdinal::toOrdinal

@mpopov I guess it's easier to hard code the names here instead of using toOrdinal, because of the last 3 categories: 10-19, 20-100 and 100+?

debt added a comment.Sep 9 2016, 6:14 AM

@mpopov thanks - the colors are better, but the ones that are on the bottom (4 - 100+) are pretty muddled together and difficult to view, so you're reliant upon the listing of the clicks above the graph. Maybe we can increase the font of the legend (on top of the graph) to make it easier to view the numbers?

mpopov added a comment.Sep 9 2016, 6:11 PM

@chelsyx: I agree with @debt about increasing the font size of the legend. See stylesheet.css and server.R in Portal dashboard's repo for how to do it on a per-graph basis.

mpopov claimed this task.Sep 9 2016, 7:57 PM
mpopov removed a project: Patch-For-Review.

Change 309624 had a related patch set uploaded (by Bearloga):
Enbiggen legend & add ordinal indicators

https://gerrit.wikimedia.org/r/309624

Change 309624 merged by Bearloga:
Enbiggen legend & add ordinal indicators

https://gerrit.wikimedia.org/r/309624

debt added a comment.Sep 12 2016, 7:52 PM

Yay - looks good!

debt closed this task as Resolved.Sep 16 2016, 7:02 PM

Change 313870 had a related patch set uploaded (by Bearloga):
Deploy dashboard updates

https://gerrit.wikimedia.org/r/313870

Change 313870 merged by Bearloga:
Deploy dashboard updates

https://gerrit.wikimedia.org/r/313870